edu.northwestern.at.utils

## Class Map3DUtils

- java.lang.Object
- - edu.northwestern.at.utils.Map3DUtils

-     public class Map3DUtils
      extends java.lang.Object

  Map utilities.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Map3DUtils()` Don't allow instantiation, do allow overrides.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String>` | `loadMap3D(java.io.File mapFile, java.lang.String separator, java.lang.String qualifier, java.lang.String encoding)` Load string map3Dfrom a file.
    `static Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String>` | `loadMap3D(java.lang.String mapFileName, java.lang.String separator, java.lang.String qualifier, java.lang.String encoding)` Load string set from a file name.
    `static Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String>` | `loadMap3D(java.net.URL map3DURL, java.lang.String separator, java.lang.String qualifier, java.lang.String encoding)` Load string map3D from a URL.
    `static void` | `saveMap3D(Map3D<?,?,?,?> map3D, java.io.File mapFile, java.lang.String separator, java.lang.String qualifier, java.lang.String encoding)` Save map3D as string to a file.
    `static void` | `saveMap3D(Map3D<?,?,?,?> map3D, java.lang.String mapFileName, java.lang.String separator, java.lang.String qualifier, java.lang.String encoding)` Save map3D as string to a file name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Map3DUtils

          protected Map3DUtils()

      Don't allow instantiation, do allow overrides.

  - ### Method Detail

    - #### loadMap3D

          public static Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String> loadMap3D(java.net.URL map3DURL,
                                                                                             java.lang.String separator,
                                                                                             java.lang.String qualifier,
                                                                                             java.lang.String encoding)
                                                                                                      throws java.io.IOException,
                                                                                                             java.io.FileNotFoundException

      Load string map3D from a URL.
      Parameters:
        `map3DURL` - URL for map3Dfile.
        `separator` - Field separator.
        `qualifier` - Quote character.
        `encoding` - Character encoding for the file.
      Returns:
        Map3D with values read from file.
      Throws:
        `java.io.FileNotFoundException` - If input file does not exist.
        `java.io.IOException` - If input file cannot be opened.

    - #### loadMap3D

          public static Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String> loadMap3D(java.io.File mapFile,
                                                                                             java.lang.String separator,
                                                                                             java.lang.String qualifier,
                                                                                             java.lang.String encoding)
                                                                                                      throws java.io.IOException,
                                                                                                             java.io.FileNotFoundException

      Load string map3Dfrom a file.
      Parameters:
        `mapFile` - Map file.
        `separator` - Field separator.
        `qualifier` - Quote character.
        `encoding` - Character encoding for the file.
      Returns:
        Map3D with values read from file.
      Throws:
        `java.io.FileNotFoundException` - If input file does not exist.
        `java.io.IOException` - If input file cannot be opened.

    - #### loadMap3D

          public static Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String> loadMap3D(java.lang.String mapFileName,
                                                                                             java.lang.String separator,
                                                                                             java.lang.String qualifier,
                                                                                             java.lang.String encoding)
                                                                                                      throws java.io.IOException,
                                                                                                             java.io.FileNotFoundException

      Load string set from a file name.
      Parameters:
        `mapFileName` - Map file name.
        `separator` - Field separator.
        `qualifier` - Quote character.
        `encoding` - Character encoding for the file.
      Returns:
        Map3D with values read from file name.
      Throws:
        `java.io.FileNotFoundException` - If input file does not exist.
        `java.io.IOException` - If input file cannot be opened.

    - #### saveMap3D

          public static void saveMap3D(Map3D<?,?,?,?> map3D,
                       java.io.File mapFile,
                       java.lang.String separator,
                       java.lang.String qualifier,
                       java.lang.String encoding)
                                throws java.io.IOException,
                                       java.io.FileNotFoundException

      Save map3D as string to a file.
      Parameters:
        `map3D` - Map3D to save.
        `mapFile` - Output file name.
        `separator` - Field separator.
        `qualifier` - Quote character.
        `encoding` - Character encoding for the file.
      Throws:
        `java.io.IOException` - If output file has error.
        `java.io.FileNotFoundException`

    - #### saveMap3D

          public static void saveMap3D(Map3D<?,?,?,?> map3D,
                       java.lang.String mapFileName,
                       java.lang.String separator,
                       java.lang.String qualifier,
                       java.lang.String encoding)
                                throws java.io.IOException,
                                       java.io.FileNotFoundException

      Save map3D as string to a file name.
      Parameters:
        `map3D` - Map3D to save.
        `mapFileName` - Output file name.
        `separator` - Field separator.
        `qualifier` - Quote character.
        `encoding` - Character encoding for the file.
      Throws:
        `java.io.IOException` - If output file has error.
        `java.io.FileNotFoundException`